Bug 646191 - ModemManager failing to activate 3G connection with Vodafone K3805-z modem
ModemManager failing to activate 3G connection with Vodafone K3805-z modem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-24 18:05 EDT by David
Modified: 2011-07-18 19:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-18 19:04:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2010-10-24 18:05:00 EDT
Description of problem:

In Fedora 10 this modem was working perfectly with NetworkManager. I just installed Fedora 13 and cannot connect. Using vodafone connect software from https://forge.betavine.net/frs/?group_id=12 I can connect this F13 machine to Internet OK, so it seems to be some kind of regression in ModemManager.

Version-Release number of selected component (if applicable):

ModemManager-0.4-4.git20100720.fc13.x86_64

How reproducible:

Always

Steps to Reproduce:
1. plug usb modem and wait until broadband connection appears in NetworManager
2. try to connect
  
Actual results:

Connection fails immediately.

Expected results:

Connection made active as in Fedora 10.

Additional info:

I am using the laptop Sony VAIO Z (VPC series).

Following instructions of another bug I started modem-manager in debug mode and here is the output:

Stopping NetworkManager daemon:                            [  OK  ]
[root@ananda david]# killall -TERM modem-manager
[root@ananda david]# modem-manager --debug
** Message: ModemManager (version 0.4-4.git20100720.fc13) starting...
** Message: Loaded plugin ZTE
** Message: Loaded plugin Longcheer
** Message: Loaded plugin SimTech
** Message: Loaded plugin Nokia
** Message: Loaded plugin Sierra
** Message: Loaded plugin Gobi
** Message: Loaded plugin Option
** Message: Loaded plugin Huawei
** Message: Loaded plugin AnyData
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Generic
** Message: Loaded plugin MotoC
** (modem-manager:2930): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:2930): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:2930): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:2930): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:2930): DEBUG: (net/pan0): could not get port's parent device
** Message: (ttyACM0) opening serial device...
** (modem-manager:2930): DEBUG: <1287957247.616220> (ttyACM0) device open count is 1 (open)
** (modem-manager:2930): DEBUG: (ttyACM0): probe requested by plugin 'ZTE'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2930): DEBUG: <1287957247.616727> (ttyACM1) device open count is 1 (open)
** (modem-manager:2930): DEBUG: (ttyACM1): probe requested by plugin 'ZTE'
** (modem-manager:2930): DEBUG: <1287957247.717014> (ttyACM0): --> 'ATE0+CPMS?<CR>'
** (modem-manager:2930): DEBUG: <1287957248.818314> (ttyACM1): --> 'ATE0+CPMS?<CR>'
** (modem-manager:2930): DEBUG: <1287957249.919675> (ttyACM0): <-- 'ATE0+CPMS?<CR><CR><LF>+CPMS: "SM",0,30,"SM",0,30,"SM",0,30<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957249.919809> (ttyACM1): <-- '<CR><LF>+CPMS: "SM",0,30,"SM",0,30,"SM",0,30<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957249.919875> (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:2930): DEBUG: <1287957250.720918> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:2930): DEBUG: <1287957251.521861> (ttyACM0): <-- '<CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957251.521946> (ttyACM1): <-- '<CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957251.522116> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** (modem-manager:2930): DEBUG: <1287957251.527941> (ttyACM1) device open count is 0 (close)
** Message: (ttyACM1) closing serial device...
** Message: (ttyACM0) type primary claimed by /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
** Message: (ttyACM0) opening serial device...
** (modem-manager:2930): DEBUG: <1287957251.534741> (ttyACM0) device open count is 1 (open)
** (modem-manager:2930): DEBUG: <1287957251.534794> (ttyACM0) device open count is 2 (open)
** Message: (ZTE): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1 claimed port ttyACM0
** (modem-manager:2930): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
** (modem-manager:2930): DEBUG: (tty/ttyACM0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
** (modem-manager:2930): DEBUG: (tty/ttyACM1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
** Message: (ttyACM1) type secondary claimed by /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
** Message: (ZTE): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1 claimed port ttyACM1
** (modem-manager:2930): DEBUG: <1287957251.535451> (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:2930): DEBUG: <1287957251.545484> (ttyACM0): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957251.545570> (ttyACM0) device open count is 1 (close)
** (modem-manager:2930): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:2930): DEBUG: (/org/freedesktop/ModemManager/Modems/0): data port is ttyACM0
** (modem-manager:2930): DEBUG: <1287957251.545979> (ttyACM0): --> 'ATE0<CR>'
** (modem-manager:2930): DEBUG: <1287957251.551569> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957251.551655> (ttyACM0): --> 'AT+CGSN<CR>'
** (modem-manager:2930): DEBUG: <1287957251.585455> (ttyACM0): <-- '<CR><LF>358894030357101<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: Equipment identifier set (358894030357101)
** (modem-manager:2930): DEBUG: <1287957251.585595> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM0) opening serial device...
** (modem-manager:2930): DEBUG: <1287957286.774289> (ttyACM0) device open count is 1 (open)
** (modem-manager:2930): DEBUG: <1287957286.774324> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2930): DEBUG: <1287957286.873993> (ttyACM0): --> 'ATE0 V1<CR>'
** (modem-manager:2930): DEBUG: <1287957286.883445> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957286.883535> (ttyACM0): --> 'ATZ E0 V1 X4 &C1 +CMEE=1;+CFUN=1;<CR>'
** (modem-manager:2930): DEBUG: <1287957286.920522> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957286.920619> (ttyACM0): --> 'AT+CPMS?<CR>'
** (modem-manager:2930): DEBUG: <1287957286.930624> (ttyACM0): <-- 'AT+CPMS?<CR><CR><LF>+CPMS: "SM",0,30,"SM",0,30,"SM",0,30<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM1) opening serial device...
** (modem-manager:2930): DEBUG: <1287957286.931192> (ttyACM1) device open count is 1 (open)
** (modem-manager:2930): DEBUG: <1287957286.931332> (ttyACM0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:2930): DEBUG: <1287957286.943236> (ttyACM0): <-- 'AT+IFC=1,1<CR>'
** (modem-manager:2930): DEBUG: <1287957286.944454> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2930): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2930): DEBUG: <1287957286.944569> (ttyACM0): --> 'AT+GMI<CR>'
** (modem-manager:2930): DEBUG: <1287957286.952101> (ttyACM0): <-- 'AT+GMI<CR>'
** (modem-manager:2930): DEBUG: <1287957286.979460> (ttyACM0): <-- '<CR><LF>Vodafone (ZTE)<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957286.979585> (ttyACM0): --> 'AT+GMM<CR>'
** (modem-manager:2930): DEBUG: <1287957286.987147> (ttyACM0): <-- 'AT+GMM<CR>'
** (modem-manager:2930): DEBUG: <1287957287.15513> (ttyACM0): <-- '<CR><LF>K3805-Z<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.15636> (ttyACM0): --> 'AT+GMR<CR>'
** (modem-manager:2930): DEBUG: <1287957287.23816> (ttyACM0): <-- 'AT+GMR<CR>'
** (modem-manager:2930): DEBUG: <1287957287.51465> (ttyACM0): <-- '<CR><LF>Modem mode<CR><LF>R1.5.3.3<CR><LF>EAGLE_R1.5.3.3<CR><LF>P4 rev: CL311710 with 0 local change(s).<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.51594> (ttyACM0): --> 'AT+CGMI<CR>'
** (modem-manager:2930): DEBUG: <1287957287.60204> (ttyACM0): <-- 'AT+CGMI<CR>'
** (modem-manager:2930): DEBUG: <1287957287.87453> (ttyACM0): <-- '<CR><LF>Vodafone (ZTE)<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.87564> (ttyACM0): --> 'AT+CGMM<CR>'
** (modem-manager:2930): DEBUG: <1287957287.96241> (ttyACM0): <-- 'AT+CGMM<CR>'
** (modem-manager:2930): DEBUG: <1287957287.123478> (ttyACM0): <-- '<CR><LF>K3805-Z<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.123567> (ttyACM0): --> 'AT+CGMR<CR>'
** (modem-manager:2930): DEBUG: <1287957287.132272> (ttyACM0): <-- 'AT+CGMR<CR>'
** (modem-manager:2930): DEBUG: <1287957287.159462> (ttyACM0): <-- '<CR><LF>Modem mode<CR><LF>R1.5.3.3<CR><LF>EAGLE_R1.5.3.3<CR><LF>P4 rev: CL311710 with 0 local change(s).<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.159584> (ttyACM0): --> 'AT+ZSNT?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.169255> (ttyACM0): <-- 'AT+ZSNT?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.171726> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2930): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2930): DEBUG: <1287957287.171849> (ttyACM0): --> 'AT+CSCS=?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.182687> (ttyACM0): <-- 'AT+CSCS=?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.183443> (ttyACM0): <-- '<CR><LF>+CSCS: ("GSM","HEX","IRA","PCCP","PCDN","UCS2","8859-1")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.183588> (ttyACM0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:2930): DEBUG: <1287957287.199802> (ttyACM0): <-- 'AT+CSCS="UCS2"<CR>'
** (modem-manager:2930): DEBUG: <1287957287.200483> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.200518> (ttyACM0): --> 'AT+CSCS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.210382> (ttyACM0): <-- 'AT+CSCS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.210467> (ttyACM0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.210541> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2930): DEBUG: <1287957287.210642> (ttyACM0): --> 'AT+CREG=2<CR>'
** (modem-manager:2930): DEBUG: <1287957287.221502> (ttyACM0): <-- 'AT+CREG=2<CR><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.221986> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.231807> (ttyACM0): <-- 'AT+CREG?<CR><CR><LF>+CREG: 2,1,"001F","0177C55C"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: CS registration state changed: 1
** (modem-manager:2930): DEBUG: <1287957287.232004> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:2930): DEBUG: <1287957287.232134> (ttyACM0): --> 'AT+CGREG=2<CR>'
** (modem-manager:2930): DEBUG: <1287957287.243933> (ttyACM0): <-- 'AT+CGREG=2<CR><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.243988> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2930): DEBUG: <1287957287.251655> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 10,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.251826> (ttyACM0): network_mode => 0
** (modem-manager:2930): DEBUG: <1287957287.251826> (ttyACM0): allowed_mode => 0
** (modem-manager:2930): DEBUG: <1287957287.251826> (ttyACM0): number => "*99#"
** (modem-manager:2930): DEBUG: <1287957287.251826> (ttyACM0): apn => "internet.vodafone.pt"
** (modem-manager:2930): DEBUG: <1287957287.251933> (ttyACM0): simple connect state 0
** (modem-manager:2930): DEBUG: <1287957287.252048> (ttyACM0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.272409> (ttyACM0): simple connect state 2
** (modem-manager:2930): DEBUG: <1287957287.272484> (ttyACM0): <-- 'AT+COPS=3,2;+COPS?<CR><CR><LF>+COPS: 0,2,"26801",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.272578> (ttyACM0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.292984> (ttyACM0): <-- 'AT+COPS=3,0;+COPS?<CR><CR><LF>+COPS: 0,0,"vodafone P",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.293080> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2930): DEBUG: <1287957287.300677> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 10,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.300771> (ttyACM0): --> 'AT+ZPAS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.310564> (ttyACM0): <-- 'AT+ZPAS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.311442> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2930): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2930): DEBUG: <1287957287.311562> (ttyACM0): --> 'AT+CGREG?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.322445> (ttyACM0): <-- 'AT+CGREG?<CR><CR><LF>+CGREG: 2,1,"001F","0177C55C"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: PS registration state changed: 1
** (modem-manager:2930): DEBUG: <1287957287.322634> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.332412> (ttyACM0): <-- 'AT+CREG?<CR><CR><LF>+CREG: 2,1,"001F","0177C55C"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.332538> (ttyACM0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.353107> (ttyACM0): <-- 'AT+COPS=3,2;+COPS?<CR><CR><LF>+COPS: 0,2,"26801",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.353283> (ttyACM0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.374050> (ttyACM0): <-- 'AT+COPS=3,0;+COPS?<CR><CR><LF>+COPS: 0,0,"vodafone P",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.374502> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2930): DEBUG: <1287957287.382327> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 10,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.382472> (ttyACM0): --> 'AT+ZPAS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.392174> (ttyACM0): <-- 'AT+ZPAS?<CR>'
** (modem-manager:2930): DEBUG: <1287957287.393448> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2930): DEBUG: Got failure code 100: Unknown error
** (modem-manager:2930): DEBUG: <1287957287.393572> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2930): DEBUG: <1287957287.401799> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 10,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957287.402151> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2930): DEBUG: <1287957287.410087> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 10,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957317.149264> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:2930): DEBUG: <1287957317.156820> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 10,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2930): DEBUG: <1287957317.156924> (ttyACM0): --> 'AT+ZPAS?<CR>'
** (modem-manager:2930): DEBUG: <1287957317.166689> (ttyACM0): <-- 'AT+ZPAS?<CR>'
** (modem-manager:2930): DEBUG: <1287957317.167436> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:2930): DEBUG: Got failure code 100: Unknown error
Comment 1 Michael 2011-03-03 11:08:35 EST
where is the button: "this bug as for me" ;)

I've been googling around and have been to http://www.betavine.net to look for solution. Unfortunately, none seems to work for me.

vodafon want a downgrade of the USB_modswitch from my ? 
after the last kernel update my boot.log tells:


%G%G		Welcome to [0;34mFedora[0;39m 

Starting udev: udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:73




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:76




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:77




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:78




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:79




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:80




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:81




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:82




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:83




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:84




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:85




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:86




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:87




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:88




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:89




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:90




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:91




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:92




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:93




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:94




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:95




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:96




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:97




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:98




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:99




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:100




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:101




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:105




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:106




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:107




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:108




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:109




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:110




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:111




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:112




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:113




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:114




udevd[474]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/51-hso-udev.rules:115




%G[60G[[0;32m  OK  [0;39m]


Setting hostname tuxtop.cacn:  [60G[[0;32m  OK  [0;39m]


Setting up Logical Volume Management:   2 logical volume(s) in volume group "vg_tuxtop" now active

[60G[[0;32m  OK  [0;39m]


Checking filesystems

_Fedora-14-i686-: clean, 152673/2285568 files, 5721913/9125888 blocks

/dev/sda1: clean, 47/128016 files, 81901/512000 blocks

[60G[[0;32m  OK  [0;39m]


Remounting root filesystem in read-write mode:  [60G[[0;32m  OK  [0;39m]


Mounting local filesystems:  [60G[[0;32m  OK  [0;39m]


Enabling /etc/fstab swaps:  [60G[[0;32m  OK  [0;39m]


Entering non-interactive startup

Starting monitoring for VG vg_tuxtop:   2 logical volume(s) in volume group "vg_tuxtop" monitored

[60G[[0;32m  OK  [0;39m]


ip6tables: Applying firewall rules: WARNING: All config files need .conf: /etc/modprobe.d/blacklist-vmc, it will be ignored in a future release.

[60G[[0;32m  OK  [0;39m]


iptables: Applying firewall rules: [60G[[0;32m  OK  [0;39m]


Starting auditd: [60G[[0;32m  OK  [0;39m]


Starting portreserve: [60G[[0;32m  OK  [0;39m]


Starting system logger: [60G[[0;32m  OK  [0;39m]


WARNING: All config files need .conf: /etc/modprobe.d/blacklist-vmc, it will be ignored in a future release.

Enabling ondemand cpu frequency scaling: [60G[[0;32m  OK  [0;39m]


Starting irqbalance: [60G[[0;32m  OK  [0;39m]


Starting mdmonitor: [60G[[0;32m  OK  [0;39m]


Starting system message bus: [60G[[0;32m  OK  [0;39m]


Setting network parameters... [60G[[0;32m  OK  [0;39m]


Starting NetworkManager daemon: [60G[[0;32m  OK  [0;39m]


Starting Avahi daemon... [60G[[0;32m  OK  [0;39m]


Starting cups: [60G[[0;32m  OK  [0;39m]


Starting HAL daemon: [60G[[0;32m  OK  [0;39m]


Retrigger failed udev events[60G[[0;32m  OK  [0;39m]


Enabling Bluetooth devices:

Starting ntpd: [60G[[0;32m  OK  [0;39m]


Starting sendmail: [60G[[0;32m  OK  [0;39m]


Starting sm-client: [60G[[0;32m  OK  [0;39m]


Starting abrt daemon: [60G[[0;32m  OK  [0;39m]


Starting crond: [60G[[0;32m  OK  [0;39m]


Enabling monthly Smolt checkin: [60G[[0;32m  OK  [0;39m]


Starting atd: [60G[[0;32m  OK  [0;39m]
[60G[[0;32m  OK  [0;39m]

---- start from a shell whit debug---------------------
[user@laptop ~]$ vodafone-mobile-connect-card-driver-for-linux-debugTraceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/twisted/python/usage.py", line 373, in <lambda>
    fn = lambda name, value, m=method: m(value)
  File "/usr/lib/python2.7/site-packages/twisted/application/app.py", line 502, in opt_reactor
    installReactor(shortName)
  File "/usr/lib/python2.7/site-packages/twisted/application/reactors.py", line 79, in installReactor
    for installer in getReactorTypes():
  File "/usr/lib/python2.7/site-packages/twisted/plugin.py", line 199, in getPlugins
    allDropins = getCache(package)
--- <exception caught here> ---
  File "/usr/lib/python2.7/site-packages/twisted/plugin.py", line 178, in getCache
    dropinPath.setContent(pickle.dumps(dropinDotCache))
  File "/usr/lib/python2.7/site-packages/twisted/python/filepath.py", line 745, in setContent
    f = sib.open('w')
  File "/usr/lib/python2.7/site-packages/twisted/python/filepath.py", line 495, in open
    return self.create()
  File "/usr/lib/python2.7/site-packages/twisted/python/filepath.py", line 771, in create
    fdint = os.open(self.path, _CREATE_FLAGS)
exceptions.OSError: [Errno 13] Permission denied: '/usr/lib/python2.7/site-packages/twisted/plugins/eRv7Ksg558bp4tx9dropin.cache.new'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/twisted/application/app.py", line 626, in run
    runApp(config)
  File "/usr/lib/python2.7/site-packages/twisted/scripts/twistd.py", line 23, in runApp
    _SomeApplicationRunner(config).run()
  File "/usr/lib/python2.7/site-packages/twisted/application/app.py", line 374, in run
    self.application = self.createOrGetApplication()
  File "/usr/lib/python2.7/site-packages/twisted/application/app.py", line 439, in createOrGetApplication
    application = getApplication(self.config, passphrase)
--- <exception caught here> ---
  File "/usr/lib/python2.7/site-packages/twisted/application/app.py", line 450, in getApplication
    application = service.loadApplication(filename, style, passphrase)
  File "/usr/lib/python2.7/site-packages/twisted/application/service.py", line 390, in loadApplication
    application = sob.loadValueFromFile(filename, 'application', passphrase)
  File "/usr/lib/python2.7/site-packages/twisted/persisted/sob.py", line 210, in loadValueFromFile
    exec fileObj in d, d
  File "/usr/share/vodafone-mobile-connect/gtk-tap.py", line 50, in <module>
    from vmc.common import shell
  File "/usr/share/vodafone-mobile-connect/vmc/common/shell.py", line 23, in <module>
    from twisted.conch import manhole, manhole_ssh
  File "/usr/lib/python2.7/site-packages/twisted/conch/manhole_ssh.py", line 14, in <module>
    from twisted.conch.ssh import factory, keys, session
  File "/usr/lib/python2.7/site-packages/twisted/conch/ssh/factory.py", line 21, in <module>
    from twisted.conch.ssh import keys
  File "/usr/lib/python2.7/site-packages/twisted/conch/ssh/keys.py", line 20, in <module>
    from pyasn1.type import univ
exceptions.ImportError: No module named pyasn1.type

Failed to load application: No module named pyasn1.type

[user@laptop ~]$
Comment 2 David 2011-03-03 15:40:48 EST
Hi there, regarding the comment from, Michael 2011-03-03 11:08:35 EST, I had an identical problem and solved it by doing the following:

wget https://forge.betavine.net/frs/download.php/609/vodafone-mobile-connect-2.20.01-1.noarch.rpm
yum install pyserial python-twisted pytz redhat-lsb wvdial python-pyasn1 beesu
rpm -ivh vodafone-mobile*

I updated to Fedora 14 and this bug persists (I updated the Fedora version of this bug). Here is the output:

[root@ananda ~]# killall -TERM modem-manager ; modem-manager --debug
modem-manager: no process found
** Message: ModemManager (version 0.4-4.git20100720.fc14) starting...
** Message: Loaded plugin ZTE
** Message: Loaded plugin Longcheer
** Message: Loaded plugin SimTech
** Message: Loaded plugin Nokia
** Message: Loaded plugin Sierra
** Message: Loaded plugin Gobi
** Message: Loaded plugin Option
** Message: Loaded plugin Huawei
** Message: Loaded plugin AnyData
** Message: Loaded plugin Novatel
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Ericsson MBM
** Message: Loaded plugin Generic
** Message: Loaded plugin MotoC
** (modem-manager:24137): DEBUG: (tty/ttyS0): port's parent platform driver is not whitelisted
** (modem-manager:24137): DEBUG: (tty/ttyS1): port's parent platform driver is not whitelisted
** (modem-manager:24137): DEBUG: (tty/ttyS2): port's parent platform driver is not whitelisted
** (modem-manager:24137): DEBUG: (tty/ttyS3): port's parent platform driver is not whitelisted
** (modem-manager:24137): DEBUG: (net/vmnet1): could not get port's parent device
** (modem-manager:24137): DEBUG: (net/vmnet8): could not get port's parent device
** Message: (ttyACM0) opening serial device...
** (modem-manager:24137): DEBUG: <1299184446.152023> (ttyACM0) device open count is 1 (open)
** (modem-manager:24137): DEBUG: (ttyACM0): probe requested by plugin 'ZTE'
** Message: (ttyACM1) opening serial device...
** (modem-manager:24137): DEBUG: <1299184446.159399> (ttyACM1) device open count is 1 (open)
** (modem-manager:24137): DEBUG: (ttyACM1): probe requested by plugin 'ZTE'
** (modem-manager:24137): DEBUG: <1299184446.252453> (ttyACM0): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184447.353892> (ttyACM0): <-- '0+CPMS?<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184447.354412> (ttyACM0): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184448.455546> (ttyACM1): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184449.556913> (ttyACM0): <-- 'ATE0+CPMS?<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184449.557055> (ttyACM1): <-- 'ATE0+CPMS?<CR><CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184449.557133> (ttyACM0): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184450.658483> (ttyACM1): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184451.759989> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184451.760118> (ttyACM1): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184451.760203> (ttyACM0): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184452.861473> (ttyACM1): --> 'ATE0+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184453.963125> (ttyACM0): <-- '<CR><LF>+CPMS: "SM",8,30,"SM",8,30,"SM",8,30<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184453.963280> (ttyACM1): <-- '<CR><LF>+CPMS: "SM",8,30,"SM",8,30,"SM",8,30<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184453.963500> (ttyACM0): --> 'AT+GCAP<CR>'
** (modem-manager:24137): DEBUG: <1299184454.764515> (ttyACM1): --> 'AT+GCAP<CR>'
** (modem-manager:24137): DEBUG: <1299184455.565557> (ttyACM0): <-- '<CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184455.565644> (ttyACM1): <-- '<CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184455.565708> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** (modem-manager:24137): DEBUG: <1299184455.571863> (ttyACM1) device open count is 0 (close)
** Message: (ttyACM1) closing serial device...
** Message: (ttyACM0) type primary claimed by /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
** Message: (ttyACM0) opening serial device...
** (modem-manager:24137): DEBUG: <1299184455.580055> (ttyACM0) device open count is 1 (open)
** (modem-manager:24137): DEBUG: <1299184455.580127> (ttyACM0) device open count is 2 (open)
** Message: (ZTE): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5 claimed port ttyACM0
** (modem-manager:24137): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
** (modem-manager:24137): DEBUG: (tty/ttyACM0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
** (modem-manager:24137): DEBUG: (tty/ttyACM1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
** Message: (ttyACM1) type secondary claimed by /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
** Message: (ZTE): GSM modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5 claimed port ttyACM1
** (modem-manager:24137): DEBUG: <1299184455.580971> (ttyACM0): --> 'AT+CPIN?<CR>'
** (modem-manager:24137): DEBUG: <1299184455.591461> (ttyACM0): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184455.591593> (ttyACM0) device open count is 1 (close)
** (modem-manager:24137): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5 as /org/freedesktop/ModemManager/Modems/0
** (modem-manager:24137): DEBUG: (/org/freedesktop/ModemManager/Modems/0): data port is ttyACM0
** (modem-manager:24137): DEBUG: <1299184455.592163> (ttyACM0): --> 'ATE0<CR>'
** (modem-manager:24137): DEBUG: <1299184455.597699> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184455.597802> (ttyACM0): --> 'AT+CGSN<CR>'
** (modem-manager:24137): DEBUG: <1299184455.632425> (ttyACM0): <-- '<CR><LF>358894030357101<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: Equipment identifier set (358894030357101)
** (modem-manager:24137): DEBUG: <1299184455.632627> (ttyACM0) device open count is 0 (close)
** Message: (ttyACM0) closing serial device...
** Message: (ttyACM0) opening serial device...
** (modem-manager:24137): DEBUG: <1299184516.664885> (ttyACM0) device open count is 1 (open)
** (modem-manager:24137): DEBUG: <1299184516.664966> Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:24137): DEBUG: <1299184516.764946> (ttyACM0): --> 'ATE0 V1<CR>'
** (modem-manager:24137): DEBUG: <1299184516.774436> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184516.774566> (ttyACM0): --> 'ATZ E0 V1 X4 &C1 +CMEE=1;+CFUN=1;<CR>'
** (modem-manager:24137): DEBUG: <1299184516.812393> (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184516.812501> (ttyACM0): --> 'AT+CPMS?<CR>'
** (modem-manager:24137): DEBUG: <1299184516.822429> (ttyACM0): <-- 'AT+CPMS?<CR><CR><LF>+CPMS: "SM",8,30,"SM",8,30,"SM",8,30<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyACM1) opening serial device...
** (modem-manager:24137): DEBUG: <1299184516.822990> (ttyACM1) device open count is 1 (open)
** (modem-manager:24137): DEBUG: <1299184516.823123> (ttyACM0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:24137): DEBUG: <1299184516.835200> (ttyACM0): <-- 'AT+IFC=1,1<CR>'
** (modem-manager:24137): DEBUG: <1299184516.836391> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184516.836505> (ttyACM0): --> 'AT+GMI<CR>'
** (modem-manager:24137): DEBUG: <1299184516.844310> (ttyACM0): <-- 'AT+GMI<CR>'
** (modem-manager:24137): DEBUG: <1299184516.872419> (ttyACM0): <-- '<CR><LF>Vodafone (ZTE)<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184516.872551> (ttyACM0): --> 'AT+GMM<CR>'
** (modem-manager:24137): DEBUG: <1299184516.880355> (ttyACM0): <-- 'AT+GMM<CR>'
** (modem-manager:24137): DEBUG: <1299184516.908420> (ttyACM0): <-- '<CR><LF>K3805-Z<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184516.908553> (ttyACM0): --> 'AT+GMR<CR>'
** (modem-manager:24137): DEBUG: <1299184516.916240> (ttyACM0): <-- 'AT+GMR<CR>'
** (modem-manager:24137): DEBUG: <1299184516.943472> (ttyACM0): <-- '<CR><LF>Modem mode<CR><LF>R1.5.3.3<CR><LF>EAGLE_R1.5.3.3<CR><LF>P4 rev: CL311710 with 0 local change(s).<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184516.943657> (ttyACM0): --> 'AT+CGMI<CR>'
** (modem-manager:24137): DEBUG: <1299184516.952509> (ttyACM0): <-- 'AT+CGMI<CR>'
** (modem-manager:24137): DEBUG: <1299184516.980439> (ttyACM0): <-- '<CR><LF>Vodafone (ZTE)<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184516.980581> (ttyACM0): --> 'AT+CGMM<CR>'
** (modem-manager:24137): DEBUG: <1299184516.989465> (ttyACM0): <-- 'AT+CGMM<CR>'
** (modem-manager:24137): DEBUG: <1299184517.17429> (ttyACM0): <-- '<CR><LF>K3805-Z<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.17569> (ttyACM0): --> 'AT+CGMR<CR>'
** (modem-manager:24137): DEBUG: <1299184517.26490> (ttyACM0): <-- 'AT+CGMR<CR>'
** (modem-manager:24137): DEBUG: <1299184517.54424> (ttyACM0): <-- '<CR><LF>Modem mode<CR><LF>R1.5.3.3<CR><LF>EAGLE_R1.5.3.3<CR><LF>P4 rev: CL311710 with 0 local change(s).<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.54647> (ttyACM0): --> 'AT+ZSNT?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.64580> (ttyACM0): <-- 'AT+ZSNT?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.65442> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184517.65606> (ttyACM0): --> 'AT+CSCS=?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.76657> (ttyACM0): <-- 'AT+CSCS=?<CR><CR><LF>+CSCS: ("GSM","HEX","IRA","PCCP","PCDN","UCS2","8859-1")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.76868> (ttyACM0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:24137): DEBUG: <1299184517.93360> (ttyACM0): <-- 'AT+CSCS="UCS2"<CR><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.93470> (ttyACM0): --> 'AT+CSCS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.103411> (ttyACM0): <-- 'AT+CSCS?<CR><CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.103594> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:24137): DEBUG: <1299184517.103781> (ttyACM0): --> 'AT+CREG=2<CR>'
** (modem-manager:24137): DEBUG: <1299184517.114909> (ttyACM0): <-- 'AT+CREG=2<CR><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.115277> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.125286> (ttyACM0): <-- 'AT+CREG?<CR><CR><LF>+CREG: 2,1,"001F","0177C55C"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: CS registration state changed: 1
** (modem-manager:24137): DEBUG: <1299184517.125516> Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:24137): DEBUG: <1299184517.125643> (ttyACM0): --> 'AT+CGREG=2<CR>'
** (modem-manager:24137): DEBUG: <1299184517.137752> (ttyACM0): <-- 'AT+CGREG=2<CR><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.138271> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184517.146071> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.146287> (ttyACM0): network_mode => 0
** (modem-manager:24137): DEBUG: <1299184517.146287> (ttyACM0): allowed_mode => 0
** (modem-manager:24137): DEBUG: <1299184517.146287> (ttyACM0): number => "*99#"
** (modem-manager:24137): DEBUG: <1299184517.146287> (ttyACM0): apn => "internet.vodafone.pt"
** (modem-manager:24137): DEBUG: <1299184517.146526> (ttyACM0): simple connect state 0
** (modem-manager:24137): DEBUG: <1299184517.146936> (ttyACM0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.167759> (ttyACM0): simple connect state 2
** (modem-manager:24137): DEBUG: <1299184517.167915> (ttyACM0): <-- 'AT+COPS=3,2;+COPS?<CR><CR><LF>+COPS: 0,2,"26801",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.168010> (ttyACM0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.188866> (ttyACM0): <-- 'AT+COPS=3,0;+COPS?<CR><CR><LF>+COPS: 0,0,"vodafone P",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.188975> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184517.196736> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.196834> (ttyACM0): --> 'AT+ZPAS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.206707> (ttyACM0): <-- 'AT+ZPAS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.207390> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184517.207567> (ttyACM0): --> 'AT+CGREG?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.218573> (ttyACM0): <-- 'AT+CGREG?<CR><CR><LF>+CGREG: 2,1,"001F","0177C55C"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: PS registration state changed: 1
** (modem-manager:24137): DEBUG: <1299184517.218762> (ttyACM0): --> 'AT+CREG?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.228623> (ttyACM0): <-- 'AT+CREG?<CR><CR><LF>+CREG: 2,1,"001F","0177C55C"<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.228746> (ttyACM0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.249578> (ttyACM0): <-- 'AT+COPS=3,2;+COPS?<CR><CR><LF>+COPS: 0,2,"26801",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.249770> (ttyACM0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.270647> (ttyACM0): <-- 'AT+COPS=3,0;+COPS?<CR><CR><LF>+COPS: 0,0,"vodafone P",2<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.271116> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184517.278980> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.279112> (ttyACM0): --> 'AT+ZPAS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.288990> (ttyACM0): <-- 'AT+ZPAS?<CR>'
** (modem-manager:24137): DEBUG: <1299184517.289371> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184517.289505> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184517.297294> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184517.297436> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184517.305123> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184547.557030> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184547.565107> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:24137): DEBUG: <1299184547.565218> (ttyACM0): --> 'AT+ZPAS?<CR>'
** (modem-manager:24137): DEBUG: <1299184547.575051> (ttyACM0): <-- 'AT+ZPAS?<CR>'
** (modem-manager:24137): DEBUG: <1299184547.576381> (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
** (modem-manager:24137): DEBUG: Got failure code 100: Unknown error
** (modem-manager:24137): DEBUG: <1299184550.559914> (ttyACM0): --> 'AT+CSQ<CR>'
** (modem-manager:24137): DEBUG: <1299184550.567652> (ttyACM0): <-- 'AT+CSQ<CR><CR><LF>+CSQ: 9,0<CR><LF><CR><LF>OK<CR><LF>'
Comment 3 Pedro Francisco 2011-03-05 13:20:09 EST
I'm on Ubuntu 10.10 but I have the same problem.
As a workaround you can use wvdial, though probably won't use cdc_ether as it should -- I've that pen since very recently so I don't know exactly how it works...
Comment 4 Dan Williams 2011-07-18 19:04:44 EDT
I believe this modem is based on an Icera chipset which doesn't use the same commands as many others do; it should work with the latest MM and NM testing updates for F14:

https://admin.fedoraproject.org/updates/ModemManager-0.4.998-1.git20110706.fc14
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-2.git20110622.fc14

These builds contain support for ZTE Icera based modems.

Note You need to log in before you can comment on or make changes to this bug.